Bug 165377 - correct mount(2) deparser
Summary: correct mount(2) deparser
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: strace   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Roland McGrath
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FC4Update
TreeView+ depends on / blocked
 
Reported: 2005-08-08 18:09 UTC by Dmitry V. Levin
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 4.5.14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-03 08:36:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
strace-4.5.13-alt-mount.patch (1.22 KB, patch)
2005-08-08 18:10 UTC, Dmitry V. Levin
no flags Details | Diff

Description Dmitry V. Levin 2005-08-08 18:09:05 UTC
strace up to 4.5.13 mount options deparser is somewhat incomplete.

Steps to Reproduce:
strace -e trace=mount mount /dev/pts
  
Actual results:
mount("devpts", "/dev/pts", "devpts", MS_POSIXACL|MS_ACTIVE|MS_NOUSER|0xec0000, 0x805eff0) = -1 EPERM (Operation not permitted)

Expected results:
mount("devpts", "/dev/pts", "devpts", MS_MGC_VAL, "gid=5,mode=0620") = -1 EPERM (Operation not permitted)

Comment 1 Dmitry V. Levin 2005-08-08 18:10:53 UTC
Created attachment 117550 [details]
strace-4.5.13-alt-mount.patch

Proposed fix.

Comment 2 Roland McGrath 2006-01-12 21:19:00 UTC
I've put this in upstream.  Thanks for the fix.

Comment 3 Roland McGrath 2006-04-03 08:36:01 UTC
Fixed in fc4 update and in fc5.


Note You need to log in before you can comment on or make changes to this bug.